freeBuf
主站

分类

漏洞 工具 极客 Web安全 系统安全 网络安全 无线安全 设备/客户端安全 数据安全 安全管理 企业安全 工控安全

特色

头条 人物志 活动 视频 观点 招聘 报告 资讯 区块链安全 标准与合规 容器安全 公开课

官方公众号企业安全新浪微博

FreeBuf.COM网络安全行业门户,每日发布专业的安全资讯、技术剖析。

FreeBuf+小程序

FreeBuf+小程序

华云安技术支持 | CNNVD 关于Apache Flink安全漏洞的通报
2021-01-08 15:53:52

7日,国家信息安全漏洞库(CNNVD)发布关于Apache Flink安全漏洞的通报,华云安作为CNNVD技术支撑单位为此漏洞通报提供支持。

近日,国家信息安全漏洞库(CNNVD)收到关于Apache Flink安全漏洞(CNNVD-202101-271、CVE-2020-17519)(CNNVD-202101-273、CVE-2020-17518)情况的报送。成功利用漏洞的攻击者,可在未授权的情况下,构造恶意数据执行任意文件读取或文件写入攻击,最终获取服务器敏感性信息或权限。Apache Flink 1.5.1 - 1.11.2版本均受此漏洞影响。目前,Apache官方已经发布了版本更新修复了该漏洞,建议用户及时确认产品版本,尽快采取修补措施。

一、漏洞介绍

Apache Flink是美国阿帕奇软件(Apache)基金会的一款开源的分布式流数据处理引擎。该产品主要使用Java和Scala语言编写。

Apache Flink安全漏洞(CNNVD-202101-271、CVE-2020-17519):该漏洞允许攻击者通过JobManager进程的REST接口读取JobManager本地文件系统上的任何文件。

Apache Flink安全漏洞(CNNVD-202101-273、CVE-2020-17518):该漏洞源于一个REST处理程序允许攻击者通过恶意修改的HTTP头将上传的文件写入到本地文件系统上的任意位置。

二、危害影响

成功利用漏洞的攻击者,可在未授权的情况下,构造恶意数据执行任意文件读取或文件写入攻击,最终获取服务器敏感性信息或权限。受漏洞影响版本如下:

Apache Flink安全漏洞(CNNVD-202101-271、CVE-2020-17519):Apache Flink 1.11.0 - 1.11.2 版本

Apache Flink安全漏洞(CNNVD-202101-273、CVE-2020-17518):Apache Flink 1.5.1 版本

三、修复建议

目前,Apache官方已经发布了版本更新修复了该漏洞。建议用户及时确认产品版本,尽快采取修补措施。Apache官方更新链接如下:

Apache Flink安全漏洞(CNNVD-202101-271、CVE-2020-17519):

https://lists.apache.org/thread.html/r6843202556a6d0bce9607ebc02e303f68fc88e9038235598bde3b50d@%3Cuser.flink.apache.org%3E

Apache Flink安全漏洞(CNNVD-202101-273、CVE-2020-17518):

https://lists.apache.org/thread.html/rb43cd476419a48be89c1339b527a18116f23eec5b6df2b2acbfef261@%3Cuser.flink.apache.org%3E

CNNVD将继续跟踪上述漏洞的相关情况,及时发布相关信息。如有需要,可与CNNVD联系。

本文作者:, 转载请注明来自FreeBuf.COM

# apache漏洞 # apache
被以下专辑收录,发现更多精彩内容
+ 收入我的专辑
评论 按时间排序

登录/注册后在FreeBuf发布内容哦

相关推荐
  • 0 文章数
  • 0 评论数
  • 0 关注者
文章目录
登录 / 注册后在FreeBuf发布内容哦
收入专辑